Report a comment for moderation. The reasons list is configurable by the publisher; see GET /cms/comment/report/reasons for the current list. The default reasons are spam, harassment, hate_speech, misinformation, inappropriate_content, off_topic, terms_violation and other.
POST
/cms/comment/{id}/report
const url = 'https://api.example.com/cms/comment/1/report';const options = { method: 'POST', headers: { 'API-Key': '<API-Key>', Authorization: 'Bearer <token>', Token: '<Token>', 'Content-Type': 'application/json' }, body: '{"reason":"spam","report_text":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.example.com/cms/comment/1/report \ --header 'API-Key: <API-Key>' \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'Token: <Token>' \ --data '{ "reason": "spam", "report_text": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
integer
Comment ID
Request Bodyrequired
Section titled “Request Bodyrequired”Report payload
Media typeapplication/json
object
reason
required
Reason for the report, from the predefined list of reasons returned by GET /cms/comment/report/reasons
string
report_text
Additional free-text details about the report (optional)
string
Responses
Section titled “Responses”Comment reported
Media typeapplication/json
object
report_id
ID of the newly created report
integer
Example generated
{ "report_id": 1}Bad request
Unauthorized
Comment not found